Уязвимость BDU:2020-04502

Дата: 06.02.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-04502.

Наименование уязвимости: Уязвимость компонента tcp_subr.c библиотеки TCP-IP эмулятора Libslirp, связанная с недостатком механизма проверки размера копируемых данных, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость компонента tcp_subr.c библиотеки TCP-IP эмулятора Libslirp связана с недостатком механизма проверки размера копируемых данных. Эксплуатация уязвимости позволяет нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Операционная система Canonical Ltd. Ubuntu 19.10 | ПО виртуализации/ПО виртуального программно-аппаратного средства Libslirp до 4.1.0 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | OpenSUSE Leap 151 | Debian GNU/Linux 100 | Ubuntu 1910 |
Дата выявления: 06.02.2020.
CVSS 2.0: AV:N/AC:M/Au:N/C:P/I:P/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,6)

Возможные меры по устранению:
Использование рекомендаций:
Для libslirp:
Обновление программного обеспечения до 4.3.1-1 или более поздней версии

Для Debian GNU/Linux:
Обновление программного обеспечения (пакета libslirp) до 4.3.1-1 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4283-1

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2020-04/msg00007.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-8608.

Тип ошибки CWE: CWE-120
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2020-8608
https://security-tracker.debian.org/tracker/CVE-2020-8608
https://ubuntu.com/security/notices/USN-4283-1
https://lists.debian.org/debian-lts-announce/2020/03/msg00015.html
https://lists.debian.org/debian-lts-announce/2020/03/msg00017.html
https://lists.debian.org/debian-lts-announce/2020/07/msg00020.html
https://lists.opensuse.org/opensuse-security-announce/2020-04/msg00007.html
https://www.openwall.com/lists/oss-security/2020/02/06/2

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *